tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Thomas <ma...@apache.org>
Subject Re: Expression language not working
Date Wed, 01 Sep 2010 07:50:15 GMT
On 01/09/2010 07:35, abhishek jain wrote:
> On Tue, Aug 31, 2010 at 9:16 PM, Mark Thomas <markt@apache.org> wrote:
> 
>> On 31/08/2010 16:38, abhishek jain wrote:
>>> Hey ,
>>> I just realized that actually i accidently placed el-api.jar in
>> WEB-INF/lib
>>> folder.
>>> If i dont than i get the following exception:
>>>
>>>
>>> Aug 31, 2010 4:28:44 PM org.apache.catalina.core.
>>> StandardContext listenerStart
>>> SEVERE: Error configuring application listener of class
>>> com.sun.faces.config.ConfigureListener
>>> java.lang.NoClassDefFoundError: javax/el/ExpressionFactory
>>
>> What else do you expect? The class isn't in the JSP spec. If you want to
>> use that class you'll need to be using at least Tomcat 6.0.x.
>>
>> Mark
>>
> 
> does that mean tomcat 5.5 cannot run EL ?

Time for you to read the specifications.

Tomcat 5.5.x implements JSP 2.0 which does have EL support, although
that support does not include javax.el.ExpressionFactory which was
introduced in JSP 2.1.

Mark

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message